# PointCloudShading

#### new Cesium.PointCloudShading(options)
Scene/PointCloudShading.js 27

Options for performing point attenuation based on geometric error when rendering point clouds using 3D Tiles.

Name | Type | Description
--- | --- | ---

`options`

Object

optional Object with the following properties:

Name | Type | Default | Description
--- | --- | --- | ---
`attenuation` | Boolean | `false` | optional Perform point attenuation based on geometric error.
`geometricErrorScale` | Number | `1.0` | optional Scale to be applied to each tile's geometric error.
`maximumAttenuation` | Number |  | optional Maximum attenuation in pixels. Defaults to the Cesium3DTileset's maximumScreenSpaceError.
`baseResolution` | Number |  | optional Average base resolution for the dataset in meters. Substitute for Geometric Error when not available.
`eyeDomeLighting` | Boolean | `true` | optional When true, use eye dome lighting when drawing with point attenuation.
`eyeDomeLightingStrength` | Number | `1.0` | optional Increasing this value increases contrast on slopes and edges.
`eyeDomeLightingRadius` | Number | `1.0` | optional Increase the thickness of contours from eye dome lighting.
`backFaceCulling` | Boolean | `false` | optional Determines whether back-facing points are hidden. This option works only if data has normals included.
`normalShading` | Boolean | `true` | optional Determines whether a point cloud that contains normals is shaded based on the sun direction.

### Members

#### attenuation : Boolean
Scene/PointCloudShading.js 35

Perform point attenuation based on geometric error.

Default Value: `false`

#### backFaceCulling : Boolean
Scene/PointCloudShading.js 89

Determines whether back-facing points are hidden. This option works only if data has normals included.

Default Value: `false`

#### baseResolution : Number
Scene/PointCloudShading.js 56

Average base resolution for the dataset in meters. Used in place of geometric error when geometric error is 0. If undefined, an approximation will be computed for each tile that has geometric error of 0.

#### eyeDomeLighting : Boolean
Scene/PointCloudShading.js 66

Use eye dome lighting when drawing with point attenuation Requires support for EXT_frag_depth, OES_texture_float, and WEBGL_draw_buffers extensions in WebGL 1.0, otherwise eye dome lighting is ignored.

Default Value: `true`

#### eyeDomeLightingRadius : Number
Scene/PointCloudShading.js 80

Thickness of contours from eye dome lighting

Default Value: `1.0`

#### eyeDomeLightingStrength : Number
Scene/PointCloudShading.js 73

Eye dome lighting strength (apparent contrast)

Default Value: `1.0`

#### geometricErrorScale : Number
Scene/PointCloudShading.js 42

Scale to be applied to the geometric error before computing attenuation.

Default Value: `1.0`

#### maximumAttenuation : Number
Scene/PointCloudShading.js 48

Maximum point attenuation in pixels. If undefined, the Cesium3DTileset's maximumScreenSpaceError will be used.

#### normalShading : Boolean
Scene/PointCloudShading.js 97

Determines whether a point cloud that contains normals is shaded based on the sun direction.

Default Value: `true`

### Methods

#### staticCesium.PointCloudShading.isSupported(scene) → Boolean
Scene/PointCloudShading.js 106

Determines if point cloud shading is supported.

Name | Type | Description
--- | --- | ---
`scene` | Scene | The scene.

##### Returns:

`true` if point cloud shading is supported; otherwise, returns `false`